%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global kdepimrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 62469960593284b62302bde75a898c46

Summary: KDE image Interface Plugins
Name: kipi-plugins
Version: 0.1.4
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kipi-plugins.org/drupal/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-0.1.3-libgpod-0.4.2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: k3b
Requires: ImageMagick
Requires: mjpegtools
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdepim >= %{kdever}-%{kdepimrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: exiv2-devel >= 0.14
BuildPreReq: gettext
BuildPreReq: glib2-devel
BuildPreReq: gphoto2 >= 2.1.5-3m
BuildPreReq: imlib2-devel >= 1.2.2-3m
BuildPreReq: libexif-devel >= 0.6.13-2m
BuildPreReq: libkdcraw-devel >= 0.1.1
BuildPreReq: libkexiv2-devel >= 0.1.5
BuildPreReq: libkipi-devel >= 0.1.5-2m
BuildPreReq: libgphoto2-devel >= 2.1.5-4m
BuildPreReq: libgpod-devel >= 0.4.2
BuildPreReq: libtiff-devel >= 3.5.0
BuildPreReq: libtool
BuildPreReq: libxml2
BuildPreReq: libxslt-devel
BuildPreReq: mjpegtools-devel >= 1.6.0

%description
The library of the KDE Image Plugin Interface.  

Libkipi allows image applications to use a plugin architecture 
for additional functionality  such as: RawConverter, SlideShow, 
MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

%prep
%setup -q

%patch0 -p1 -b .libgpod

# for patch0 (libgpod)
make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--mandir=%{_mandir} \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in de es et it nl pt_BR ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/images2mpg
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/libkipiplugins.la
%{_libdir}/libkipiplugins.so*
%{_datadir}/apps/kipi/data/autorun
%{_datadir}/apps/kipi/data/image_broken.png
%{_datadir}/apps/kipi/data/index.htm
%{_datadir}/apps/kipi/*.png
%{_datadir}/apps/kipi/tips
%{_datadir}/apps/kipiplugin*
%{_datadir}/config.kcfg/htmlexportconfig.kcfg
%{_datadir}/doc/HTML/*/kipi-plugins
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/*.desktop
%{_mandir}/man1/images2mpg.1*

%changelog
* Thu Jul  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.4-2m)
- add version at BuildPreReq: libkdcraw-devel >= 0.1.1

* Tue Jul  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4
- remove libkexiv2 patches

* Sun May 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-6m)
- rebuild against libkexiv2-0.1.5

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-5m)
- rebuild against libkexiv2-0.1.2-2m
- import libkexiv2 patches from cooker

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-4m)
- clean up spec file

* Mon Mar  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-3m)
- rebuild against exiv2-0.13

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.3-2m)
- rebuild against kdelibs etc.

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-1m)
- version 0.1.3
- add kipi-plugins-0.1.3-libgpod-0.4.2.patch
  http://bugs.kde.org/show_bug.cgi?id=140279
- BuildPreReq: libgpod-devel >= 0.4.2, glib-devel
- remove disable_ipod.patch.bz2
- remove detect-libgpod.patch

* Thu Dec 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-0.2.1m)
- update to version 0.1.3-rc1
- add detect-libgpod.patch

* Sun Dec 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-0.1.1m)
- update to version 0.1.3-beta1
- apply disable_ipod.patch

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-1m)
- rebuild against kdelibs-3.5.4-3m

* Tue Jul 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Mon Jul 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- version 0.1.1

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.5m)
- fix symlinks

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.4m)
- add --enable-new-ldflags to configure

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.3m)
- rebuild against libexif-0.6.12-1m

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.2m)
- rebuild against KDE 3.5 RC1

* Thu Oct 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.1m)
- update to version 0.1.0-rc1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.2m)
- add --disable-rpath to configure

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
